Bug 179870 - IndexOutOfBoundsException: Illegal OffsetKind[offset=-1] in org.netbeans.modules.javafx.editor.JavaFXDocument@1934cb3, mimeType = 'text/x-fx', kitClass = null, length = 415, file=org.netbeans.modules.
IndexOutOfBoundsException: Illegal OffsetKind[offset=-1] in org.netbeans.modu...
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
All All
: P2 (vote)
: TBD
Assigned To: J Bachorik
issues@javafx
EXCEPTIONS_REPORT,68patch1-verified
:
Depends on:
Blocks: 178593
  Show dependency treegraph
 
Reported: 2010-01-26 06:09 UTC by Alexandr Scherbatiy
Modified: 2010-01-28 04:13 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.69 KB, text/plain)
2010-01-26 06:09 UTC, Alexandr Scherbatiy
Details
stacktrace (1.70 KB, text/plain)
2010-01-26 06:36 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2010-01-26 06:09:43 UTC
Build: NetBeans IDE 6.8 (Build 200912041610)
VM: Java HotSpot(TM) Client VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: SunOS

Stacktrace: 
java.lang.IndexOutOfBoundsException: Illegal OffsetKind[offset=-1] in org.netbeans.modules.javafx.editor.JavaFXDocument@1934cb3, mimeType = 'text/x-fx', kitClass = null, length = 415, file=org.netbeans.modules.javafx.dataloader.JavaFXDataObject@eca6a8[/export/home/tester/NetBeansProjects/temp/01/MultiDim/src/mathematics/multidimensional/shape/MDSegment.fx] used by org.netbeans.modules.javafx.dataloader.JavaFXDataObject$JavaFXEditorSupport@15327cb.
   at org.openide.text.PositionRef$Manager$OffsetKind.<init>(PositionRef.java:657)
   at org.openide.text.PositionRef.<init>(PositionRef.java:84)
   at org.openide.text.CloneableEditorSupport.createPositionRef(CloneableEditorSupport.java:1523)
   at org.netbeans.modules.javafx.refactoring.impl.RenameRefactoringElement.getPosition(RenameRefactoringElement.java:128)
   at org.netbeans.modules.refactoring.spi.RefactoringElementsBag.isGuarded(RefactoringElementsBag.java:204)
   at org.netbeans.modules.refactoring.spi.RefactoringElementsBag.add(RefactoringElementsBag.java:109)
Comment 1 Alexandr Scherbatiy 2010-01-26 06:09:50 UTC
Created attachment 93557 [details]
stacktrace
Comment 2 Alexandr Scherbatiy 2010-01-26 06:18:47 UTC
Solaris OS.
NB 6.8 patch1.


Steps to reproduce:

- Open the attached project in the IDE
https://netbeans.org/bugzilla/attachment.cgi?id=92506

- Open the mathematics.multidimensional.shape.MDShape class
- Refactor->Rename the 'dim' attribute to 'dim2'
Comment 3 Alexandr Scherbatiy 2010-01-26 06:36:00 UTC
Created attachment 93561 [details]
stacktrace

The same is on the Mac OS
Comment 4 rbalada 2010-01-27 05:58:29 UTC
Fixed in release68_fixes branch, resp. not reproducible after merging TreePathHandle -> ElementLocation refactoring of "Refactoring".

Please verify on NB 6.8 Fixes build #37+
Comment 5 Alexandr Scherbatiy 2010-01-28 04:13:47 UTC
Verified in NB 6.8 Patch1 2010-01-28_00-36-51


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo